Page MenuHomePhabricator

Regression: Scroll position lost when closing reference preview
Closed, ResolvedPublic

Description

  1. Scroll down a page with references
  2. Click on a reference to preview it
  3. Click on the page (not the 'x' to dismiss the preview)

Observe that you are scrolled back to the top of the page

Developer notes

This is related to the main menu changes (T234650). Will take a look as part of that task.

Details

Related Gerrit Patches:

Event Timeline

Esanders created this task.Oct 31 2019, 2:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2019, 2:06 PM
Jdlrobson renamed this task from Scroll position lost when closing reference preview to Regression: Scroll position lost when closing reference preview.Oct 31 2019, 5:07 PM
Jdlrobson updated the task description. (Show Details)

Change 547623 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Do not jump to the top of the page when the reference drawer is closed

https://gerrit.wikimedia.org/r/547623

ovasileva triaged this task as Medium priority.Nov 4 2019, 6:05 PM
Jdlrobson added a subscriber: Jdlrobson.

Jan said he will code review this today for the train.

Change 547623 merged by Jdlrobson:
[mediawiki/skins/MinervaNeue@master] Do not jump to the top of the page when the reference drawer is closed

https://gerrit.wikimedia.org/r/547623

Let's check this made it into production as part of QA and SWAT if not.

ovasileva added subscribers: Jdrewniak, ovasileva.
ovasileva closed this task as Resolved.Nov 27 2019, 5:15 PM

fixed! moving to signoff and resolving